<?php // Native SBS WP decoration for Control Panel

if (!is_object($u0_help)) {
  include_once _MOBJ_MODULES_FOLDER_.'u0/lib_help_system.php';
  $u0_help = new Help_System(_MOBJ_MODULES_FOLDER_.'u0/cp/help_config.php');
}

switch ($mmm) {
  default:				$help_id = 'index'; break;
  case 'u0/cp/lng_editor':		$help_id = 'multi-lingual'; break;
  case 'u0/cp/error_log_viewer':	$help_id = 'error_analysis'; break;
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />
	<title>SBS WP - Site Building System "Web-Pro"</title>
	<meta name="keywords" content="<?= $mobj->keywords ?>" />
	<meta name="description" content="SBS WP - Site Building System Web-Pro" />
	<link href="<?= _MOBJ_THEMES_FOLDER_.$mobj->decor_folder ?>main.css" rel="STYLESHEET" type="text/css" />
	<link rel="shortcut icon" href="<?= _MOBJ_THEMES_FOLDER_.$mobj->decor_folder ?>pics/favicon.ico" />

	<script src="<?= _MOBJ_MODULES_FOLDER_ ?>u0/common.js" type="text/javascript"></script>
	<script src="<?= _MOBJ_THEMES_FOLDER_ ?>sbs_wp/main.js" type="text/javascript"></script>
</head>

<body<?= ($mmm=='u0/cp/index'?' onload="if (document.entry_form) document.entry_form.ent_login.focus()"':'') ?>>

<div id="sbswp_title">
	<div class="sbswp_title">
	<a href="<?= _MOBJ_I_ ?>?mmm=u0/cp/index" title="<?= _LNG_U00_M2_ ?>"><?= _LNG_U00_CP_ ?> "<?= _MOBJ_PRJ_NAME_ ?>"</a>
	</div>
</div>
<div id="sbswp_logo">
	<a href="http://sbs.wpdom.com" target="_blank"><img src="<?= _MOBJ_THEMES_FOLDER_.$mobj->decor_folder ?>pics/logo_sbs_wp.gif" alt="Logo of Site Building System &quot;Web-Pro&quot;" /></a>
	<br />
	Site Building System "Web-Pro"
</div>

<div id="sbswp_div2" class="menu1">
	<?= _LNG_U00_USER_ ?>: <b><?= $_SESSION[pers_set][login] ?></b>

<?php
if ($_SESSION[pers_set][ug] != '') echo _LNG_U00_GROUP_.': <b>'.$_SESSION[pers_set][ug].'</b>';
?>

</div>
<div id="sbswp_div3">
	<form name="lng_change_form" action="<?= _MOBJ_I_ ?>" method="get">
	<input type="hidden" name="mmm" value="u0/cp/tools">
	<input type="hidden" name="qs" value="<?= urlencode(preg_replace("/new_lng=(.*?)&/", '', $_SERVER[QUERY_STRING])) ?>">
	<select name="lng_change" onchange="javascript:lng_change_form.submit()">

<?php
$languages = get_lang_codes('0');
foreach ($languages as $val) echo '<option value="'.$val.'"'.($_SESSION[pers_set][lng]==$val?' selected="selected"':'').'>'.$val.'</option>';
?>

	</select>
	</form>
</div>
<div id="sbswp_div1" class="menu1">
	<a href="<?= _MOBJ_I_ ?>" target="_blank"><?= _LNG_U00_M1_ ?></a>

<?php
if ($_SESSION[pers_set][login] == 'guest') echo '
	 | <a href="'._MOBJ_I_.'?mmm=u0/cp/index">'._LNG_U00_M3_.'</a>
  ';
else echo '
	 | <a href="'._MOBJ_I_.'?mmm=u0/cp/index&sbs_logout=1">'._LNG_U00_LOGOUT_.'</a>
  ';
?>

	 | <a href="<?= _MOBJ_I_ ?>?mmm=u0/cp/help/<?= $help_id ?>" target="_blank"><?= _LNG_U00_M4_ ?></a>
</div>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td valign=top id="side_bar_handle">
	<a href="javascript:side_bar_control()" title="<?= _LNG_U00_SH_SIDEBAR_ ?>"></a>
</td>
<td id="side_bar_td">

<div id="side_bar">

<?php
// Selecting menu items from folders of modules
@include_once _MOBJ_MODULES_FOLDER_.'menu.inc.php';
for ($I=0;$I<=99;$I++) {
  load_lng("u$I/");
  @include_once _MOBJ_MODULES_FOLDER_.'u'.$I.'/menu.inc.php';
}
// Selecting menu items from dataobjects
if (file_exists(_MOBJ_MODULES_FOLDER_.'u15/')) {
  $mobj->SQL = "select admin_menu from "._MOBJ_DB_TPREF_."u15_dataobjects";
  $R = $mobj->DB_db_query();
  for ($I=0;$I<$mobj->DB_num_rows($R);$I++) {
    eval($mobj->DB_result($R, $I));
  }
}

// Return fragment of menu
function get_menu_part($part)
{
  global $mobj, $menu_tree;
  @ksort($menu_tree[$part]);
  if (is_array($menu_tree[$part])) {
    foreach ($menu_tree[$part] as $val) {
      $tmp = explode('|', $val);
      if ($mobj->check_authority($tmp[0])) $tmp_menu .= $tmp[1];
    }
    if ($tmp_menu) return '
  	<h2>'.constant('_LNG_U00_MENU1_H'.($part+1).'_').'</h2>
  	'.$tmp_menu.'
    ';
  }
}
?>

	<div id="menu2">

<?php
echo get_menu_part(0);
echo get_menu_part(1);
echo get_menu_part(2);
?>

	</div>
</div>

</td>
<td valign=top style="width:100%;background-color:#FFFFFF">
	<div id="content">
		<h1><?= $h1 ?></h1>
		<?= $mobj->out ?>
	</div>
</td>
</tr>
</table>

<script type="text/javascript">
if (getCookie('sbs_wp_side_bar') == 'none') 
  document.getElementById('side_bar').style.display = 'none';
</script>

<div id="sbswp_footer1" class="footer">
	<?= _LNG_U00_POWERED_ ?> <a href="http://sbs.wpdom.com" target="_blank">Site Building System "Web-Pro"</a>
</div>
<div id="sbswp_footer2" class="footer">
	SBS WP &#169; 2003 - 2008 <a href="http://wpdom.com" target="_blank">Richter</a>
</div>

</body>
</html>